# Generated by Django 3.0.5 on 2020-09-21 21:38

from django.conf import settings
import django.contrib.postgres.fields
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Day',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=30, verbose_name='Nom du jour')),
                ('short_name', models.CharField(max_length=2, verbose_name='Abbréviation')),
                ('icon', models.CharField(blank=True, max_length=40, null=True, verbose_name='Icône')),
            ],
        ),
        migrations.CreateModel(
            name='Discipline',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=30, verbose_name='Nom de la discipline')),
                ('icon', models.CharField(blank=True, max_length=40, null=True, verbose_name='Icône')),
            ],
        ),
        migrations.CreateModel(
            name='Layer',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50, verbose_name='Nom')),
                ('active', models.BooleanField(default=False, verbose_name='Affiché par défaut')),
                ('day', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='openraideur.Day', verbose_name='Jour')),
            ],
        ),
        migrations.CreateModel(
            name='Level',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=10, verbose_name='Nom du niveau de difficulté')),
            ],
        ),
        migrations.CreateModel(
            name='Year',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('year', models.PositiveSmallIntegerField(verbose_name='Année')),
            ],
        ),
        migrations.CreateModel(
            name='Waypoint',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50, verbose_name='Nom')),
                ('color', models.CharField(default='#FF0000', max_length=7, verbose_name='Couleur')),
                ('comment', models.TextField(blank=True, default='', verbose_name='Commentaire')),
                ('lat', models.FloatField(verbose_name='Latitude')),
                ('lon', models.FloatField(verbose_name='Longitude')),
                ('icon', models.CharField(default='dot-circle', max_length=40, verbose_name='Icône')),
                ('layer', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='openraideur_waypoint_features', to='openraideur.Layer', verbose_name='Couche')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='TeamMember',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('user', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
                ('year', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='openraideur.Year', verbose_name='Edition')),
            ],
        ),
        migrations.CreateModel(
            name='Race',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50, verbose_name='Nom')),
                ('color', models.CharField(default='#FF0000', max_length=7, verbose_name='Couleur')),
                ('comment', models.TextField(blank=True, default='', verbose_name='Commentaire')),
                ('track', django.contrib.postgres.fields.ArrayField(base_field=django.contrib.postgres.fields.ArrayField(base_field=models.FloatField(null=True), size=None), blank=True, null=True, size=None, verbose_name='Coordonnées des points du parcours')),
                ('start_city', models.CharField(blank=True, max_length=40, null=True, verbose_name='Ville de départ')),
                ('end_city', models.CharField(blank=True, max_length=40, null=True, verbose_name="Ville d'arrivée")),
                ('distance', models.DecimalField(blank=True, decimal_places=2, max_digits=5, null=True, verbose_name='Distance (en km)')),
                ('max_elevation', models.SmallIntegerField(blank=True, null=True, verbose_name='Altitude maximale (en m)')),
                ('positive_elevation', models.SmallIntegerField(blank=True, null=True, verbose_name='D+ (en m)')),
                ('negative_elevation', models.SmallIntegerField(blank=True, null=True, verbose_name='D- (en m)')),
                ('discipline', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='openraideur.Discipline', verbose_name='Discipline')),
                ('layer', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='openraideur_race_features', to='openraideur.Layer', verbose_name='Couche')),
                ('level', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='openraideur.Level', verbose_name='Niveau')),
                ('previous_race', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='next_race', to='openraideur.Race', verbose_name='Epreuve précédente')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.AddField(
            model_name='layer',
            name='year',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='openraideur.Year', verbose_name='Année'),
        ),
    ]
